Bug Hunting Session
Bug 56419 - fixed denominator is not saved and not read
Summary: fixed denominator is not saved and not read
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:4.0.0 target:3.6.5
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-26 06:55 UTC by Regina Henschel
Modified: 2012-11-15 07:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2012-10-26 06:55:40 UTC
This bug is split from bug 56205.

Write =PI() to cell A1.
Write =TEXT(A1;"# ?/8") to B1.
Write =A1 to B2 and format cell B2 with the format code '# ?/8'.

Save document and reload it. Notice, that the formating in cell B2 is lost.
The content of B1 shows, that LO understand a format code with fixed denominator.

When you look at the source of the saved file (save to fods, then that is easier), and look into the styles, you find the element 'number:fraction' , but in there the attribute 'number:denominator-value' is missing.

If you manually insert the missing attribute, it is not read.
Comment 1 Noel Power 2012-11-13 14:03:31 UTC
since I am working on bug #56205 makes sense I think I take this too
Comment 2 Not Assigned 2012-11-13 16:25:39 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4be8c3205afd55fa7e1f578384d3c91ebd8b5ec3

save fixed denominator for fractions fdo#56419



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-11-14 11:54:37 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b25a6c815beb5c9bb7f3205b4841186fbd0b425c&g=libreoffice-3-6

save fixed denominator for fractions fdo#56419


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Horst 2012-11-14 23:38:39 UTC
Works fine in Version 3.6.5.0+ (Build ID: 95637e2).
Comment 5 Noel Power 2012-11-15 07:56:59 UTC
marking as fixed